package tech.nevets.jaml;

import org.simpleyaml.configuration.file.YamlFile;

import java.nio.file.Path;

public class JAML {
    public static YamlFile config;
    public static Path path;

    public static void main(String[] args) {
        makeDir();
        Config.loadConfig();
        config = Config.getConfig();

    }

    private static void makeDir() {
        if (config == null) {
            path = Path.of(System.getenv("APPDATA") + "\\.jaml\\");
        } else {
            if (config.getString("launcher.path") == "default") {
                path = Path.of(System.getenv("APPDATA") + "\\.jaml\\");
            } else {
                path = Path.of(config.getString("launcher.path"));
            }
        }

        try {
            if (!path.toFile().exists()) {
                path.toFile().mkdirs();
            }
        } catch (Exception e) {
            System.out.println("Invalid path, please check your config.yml and try again");
        }
    }
}